# assert.h File Reference

`#include <pspkernel.h>`
`#include <stdio.h>`

Include dependency graph for assert.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | assert(cond) (void)((cond)?0:__assert_fail(#cond, __FILE__, __LINE__))

## Functions

int | __assert_fail (const char *assertion, const char *file, unsigned int line) __attribute__((noreturn))

## Define Documentation

#define assert | ( | cond |  | ) | (void)((cond)?0:__assert_fail(#cond, __FILE__, __LINE__))

## Function Documentation

int __assert_fail | ( | const char * | assertion,
|  | const char * | file,
|  | unsigned int | line
| ) |